Bug 7210 - RFE: Login prompt should fill in the login field if possible
RFE: Login prompt should fill in the login field if possible
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-21 14:05 EST by Aleksey Nogin
Modified: 2013-06-23 23:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 14:48:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 1999-11-21 14:05:01 EST
When I hav valid Bugzilla_login cookie and invalid Bugzilla_logincookie
cokie and try to do something (for example, enter a new bug), Bugzilla
would eventually ask me to login. It may be a good idea to put contents of
my Bugzilla_login cookie into the login field of the login prompt, so that
I do not have to type it every time I log in.
Comment 1 David Lawrence 1999-11-22 10:22:59 EST
That is a very good suggestion. I will try to work that in as soon as possible.
I have changed this to an RFE.
Comment 2 Aleksey Nogin 2000-01-03 16:26:59 EST
I just wanted to remind you that this problem still exists. Sorry for bothering
you if you do remember it.
Comment 3 Aleksey Nogin 2001-02-26 11:03:13 EST
This bug has been idle for over a year and I still have to enter my e-mail every
time I log in...
Comment 4 Aleksey Nogin 2001-03-13 18:39:00 EST
This is really annoying (for us dial-up users) and I imagine that it should be
relatively easy to fix. Please!
Comment 5 David Lawrence 2001-03-14 11:46:12 EST
On of the problems with this is that the only way to system could gain your
login name is if you by chance still have a Bugzilla_login cookie lying around.
Depending on if you logged out by normal means or if the cookie has expired, it
may or may not be there. I will see about adding a check that if the cookie is
still there it can possibly fill in the field as a suggestion if not leave it
blank. One additional note is that most modern browsers (IE, Mozilla) with the
exception of 4.x Netscape can now fill in automatically login names and
passwords for you if you have that preference enabled.
Comment 6 Aleksey Nogin 2001-03-14 12:42:27 EST
Well, that's why I said - "for us dial-up users" - AFAIK the cookie depends on
the IP address, so each time the IP changes, we have to re-login... Automatic
password filling would definitely help, but I am not ready to migrate to Mozilla
just yet...
Comment 7 sureshpairu 2004-04-05 07:27:57 EDT
dfsasdfa dsfafdsa
Comment 8 David Lawrence 2006-04-08 14:04:10 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.
Comment 9 Aleksey Nogin 2006-04-08 14:51:06 EDT
Still there, but I think that it has a fairly low priority now that most open
source browsers can autofill password forms.

Note You need to log in before you can comment on or make changes to this bug.